# Moderator API . tags

## Instance Methods

Deletes the specified tag from the specified submission within the specified series.

Inserts a new tag for the specified submission within the specified series.

Lists all tags for the specified submission within the specified series.

### Method Details

`delete(seriesId, submissionId, tagId)`

    Deletes the specified tag from the specified submission within the specified series.

    Args:
      seriesId: integer, The decimal ID of the Series. (required)
      submissionId: integer, The decimal ID of the Submission within the Series. (required)
      tagId: string, A parameter (required)

`insert(seriesId, submissionId, body)`

    Inserts a new tag for the specified submission within the specified series.

    Args:
      seriesId: integer, The decimal ID of the Series. (required)
      submissionId: integer, The decimal ID of the Submission within the Series. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "text": "A String",
        "kind": "moderator#tag",
        "id": {
          "seriesId": "A String",
          "tagId": "A String",
          "submissionId": "A String",
        },
      }

    Returns:
      An object of the form:

        {
          "text": "A String",
          "kind": "moderator#tag",
          "id": {
            "seriesId": "A String",
            "tagId": "A String",
            "submissionId": "A String",
          },
        }

`list(seriesId, submissionId)`

    Lists all tags for the specified submission within the specified series.

    Args:
      seriesId: integer, The decimal ID of the Series. (required)
      submissionId: integer, The decimal ID of the Submission within the Series. (required)

    Returns:
      An object of the form:

        {
        "items": [
          {
              "text": "A String",
              "kind": "moderator#tag",
              "id": {
                "seriesId": "A String",
                "tagId": "A String",
                "submissionId": "A String",
              },
            },
        ],
        "kind": "moderator#tagList",
      }